Bug 64966 - Unable to initialize DPT 2024A SCSI controller with SMP kernel
Unable to initialize DPT 2024A SCSI controller with SMP kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-15 04:02 EDT by Miroslav Petricek
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-16 22:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -v output (1.30 KB, text/plain)
2002-05-17 02:42 EDT, Miroslav Petricek
no flags Details
/proc/cpuinfo (608 bytes, text/plain)
2002-05-17 02:43 EDT, Miroslav Petricek
no flags Details

  None (edit)
Description Miroslav Petricek 2002-05-15 04:02:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Booting 2.4.18-4 kernel on ALR Evolution MP system (dual Pentium) with DPT
SmartcacheIV (DPT 2024A) SCSI controller causes loops in DPT EATA/DMA code. 

Version-Release number of selected component (if applicable):
Kernels 2.4.18-3smp or 2.4.18-4smp (2.4.9-everything seems to be fine).

How reproducible:

Steps to Reproduce:
1. Boot 2.4.18-3smp or 2.4.18-4smp kernel on such a system

Actual Results:  scsi0 : EATA/DMA 2.0x rec 6.50.00
EATA0: 2.0C, PCI 0x9010, IRQ 14 BMST, SG 64, MB 64
EATA0: SCSI channel 0 enabled, host target ID 7
  Vendor IBM      Model: DCAS-32160     Rev: S65A
  Type:  Direct-Access                  ANSI SCSI revision: 02

EATA0: abort, mbox 2 is in use
EATA0: abort, mbox 2, interrupt pending
EATA0: reset, enter, target 0.2:0, pid 2
EATA0: reset, locked mbox 2 forced free.
EATA0: reset, mbox 2 in reset, pid 5
EATA0: reset, board reset done, enabling interrupts
EATA0: reset, interrupts disabled, loops 94762
EATA0: reset, mbox 2 locked, DID_RESET, pid 6 done
EATA0: reset, exit, pid 6 done
EATA0: abort, mbox 2, target 0.0:0, pid 5
EATA0: abort, mbox 2 is in use
EATA0: abort, mbox 2, interrupt pending
EATA0: abort, mbox 2, eh_state timeout, pid 5
scsi: device set offline - not ready or command retry failed after host reset:
host 0 channel 0 id 0 lun 0

and so on with changed values  of pid and mbox

Expected Results:  Boot corectly as with an UP kernel or the SMP one without
APIC support.

Additional info:

The problem doesn't occure when I pass 'noapic' option as a kernel parameter.
Comment 1 Michael K. Johnson 2002-05-16 14:44:21 EDT
Please attach the output of the "dmidecode" program to this bug report.
Comment 2 Miroslav Petricek 2002-05-17 02:40:17 EDT
It gives me no output. I posted /proc/cpuinfo and lspci instead.
Comment 3 Miroslav Petricek 2002-05-17 02:42:58 EDT
Created attachment 57704 [details]
lspci -v output
Comment 4 Miroslav Petricek 2002-05-17 02:43:52 EDT
Created attachment 57705 [details]
Comment 5 Dave Jones 2003-12-16 22:14:51 EST
>18 months of inactivity, and several erratas later.. closing.

Note You need to log in before you can comment on or make changes to this bug.